Subject: Re: bug#73813: 30.0.91; icomplete-mode keymap unusable in xterm for for/backward completions

From: Robert Pluim <[email-masked]>
Date: Thu, 17 Oct 2024 09:15:52 +0200

>>>>> On Thu, 17 Oct 2024 06:30:40 +0000, Van Ly <[email-masked]> said:

    Van> Robert Pluim <[email-masked]> writes:

    >> 
    >> Well yeah: youʼre telling emacsclient itʼs running in a VT100, so emacs
    >> never sets things up to look for the xterm-specific key sequences.
    >> 

    Van> That is the workaround I use to experience emacsclient "--color=no".

Then you should use TERM=xterm-mono (or set allowColorOps to false,
although I havenʼt tested that)

    Van> icomplete.el lists fido in icomplete-fido-mode-map and there a control
    Van> prefix alphabetic sequence for previous/next completion is possible
    Van> consistent with fido's C-s, C-r or icomplete-vertical's C-n, C-p.

Iʼm not sure what youʼre asking for here.

Robert
--